<template>
  <v-row>
    <v-col>
      <head-bar :title="pageTitle" />

      <!-- Order steps -->
      <order-stepper
        :cart-items="cartItems"
        :restaurant="cartRestaurant"
      ></order-stepper>

      <!-- Shopping cart recap -->
      <v-row>
        <v-col>
          <!-- Cart restaurant -->
          <v-row>
            <v-col>
              <h2>
                <v-icon>mdi-silverware-fork-knife</v-icon>
                {{ cartRestaurant.name }}
              </h2>
            </v-col>
          </v-row>

          <v-row>
            <!-- Cart items list -->
            <v-col cols="12" sm="9">
              <cart-item-list :cart-items="cartItems"></cart-item-list>
            </v-col>

            <!-- Price -->
            <v-col cols="12" sm="3">
              <price-recap :items="cartItems"></price-recap>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      pageTitle: 'Order',
    }
  },
  computed: {
    cartRestaurant(): string {
      return this.$store.state.cart.restaurant
    },
    cartItems(): Array<object> {
      return this.$store.state.cart.items
    },
  },
})
</script>
